/*
   these are commonly-used functions that don't return int's
   (and therefore, many compilers like to have prototypes for them)
*/

/* trick: nmalloc is just a macro for n_malloc -- you sly dog! */
void *n_malloc();

/* memberlist is required for this to make sense */
#ifdef _MODE
memberlist *ismember();
#endif

#ifndef _TANDEM
char *lastbot();
char *get_assoc_name();
#endif

#ifndef _USERS
char *cursend();
#endif

#ifndef _USERREC
struct eggqueue *del_q();
struct eggqueue *add_q();
void *dup_userlist();
#endif

#ifndef _CHANPROG
char *masktype();
char *maskname();
#endif

#ifndef _MISC
char *stristr();
#endif

/* from net.c, which doesn't use these prototypes */
unsigned long getmyip();
